module BigShift
  class CreateTableCommand < BaseCommand
    def initialize(schema)
      @schema = schema
    end

    def on_execute
      CreateTableResponse.new post
    end

    def endpoint
      'tables'
    end

    def body
      {
        'tableReference' => {
          'projectId' => project_id,
          'datasetId' => dataset_id,
          'tableId'   => @schema.table_name,
        },

        'schema' => @schema,
      }
    end
  end
end
