module BigShift
  class CreateViewCommand < BaseCommand
    def initialize(name, query)
      @name = name
      @query = query
    end

    def on_execute
      CreateTableResponse.new post
    end

    def endpoint
      'tables'
    end

    def body
      {
        'tableReference' => {
          'projectId' => project_id,
          'datasetId' => dataset_id,
          'tableId'   => @name,
        },
        'view': {
          'query': @query
        }
      }
    end
  end
end
