module BigShift
  class InsertRowsCommand < BaseTableCommand
    def initialize(table_name, rows)
      self.table_id = table_name
      @rows         = rows
    end

    def on_execute
      InsertRowsResponse.new post
    end

    def endpoint
      'insertAll'
    end

    def body
      { :rows => build_rows }
    end

    private

    def build_rows
      @rows.map do |row|
        {:json => row}
      end
    end
  end
end
