module BigShift
  module AccessTokenService
    extend self

    @@mutex = Mutex.new

    def retrieve_token
      @@mutex.synchronize do
        if !defined?(@token) or @token.expired?
          response = Toke.retrieve_token(params)
          @token = response.data if response.success?
        end

        @token.token if defined?(@token)
      end
    end

    private

    def params
      {
        :refresh_token => ENV['BIG_SHIFT_REFRESH_TOKEN'],
        :client_id     => ENV['BIG_SHIFT_GOOGLE_CLIENT_ID'],
        :client_secret => ENV['BIG_SHIFT_GOOGLE_CLIENT_SECRET'],
      }
    end
  end
end
